classification
Title: Add methods for async protocols
Type: enhancement Stage: resolved
Components: Interpreter Core Versions: Python 3.6
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: yselivanov Nosy List: ArcRiley, gvanrossum, mdcb808@gmail.com, ncoghlan, scoder, vstinner, yselivanov
Priority: normal Keywords:

Created on 2015-06-25 15:42 by yselivanov, last changed 2016-09-15 20:47 by yselivanov. This issue is now closed.

Messages (3)
msg245814 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2015-06-25 15:42
Let's consider adding C API functions for working with new tp_as_async:

PyAwait_Check for checking tp_as_async->am_await || PyCoro_Check || PyGen & CO_ITERABLE_COROUTINE

PyAwait_AsyncIterCheck for checking tp_as_async->am_iter
PyAwait_GetAsyncIter for calling tp_as_async->am_iter
PyAwait_AsyncIterNext for calling tp_as_async->am_next

Please also see issue24510 for opening up _PyCoro_GetAwaitableIter; we can call it PyAwait_Get
msg245838 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2015-06-26 07:42
As per the discussion on issue 24510, we can wait until 3.6 to decide the details of a public C level API for the PEP 492 machinery.
msg276616 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2016-09-15 20:47
I think we can close this one.
History
Date User Action Args
2016-09-15 20:47:15yselivanovsetstatus: open -> closed
resolution: wont fix
messages: + msg276616

stage: resolved
2016-05-24 18:44:00mdcb808@gmail.comsetnosy: + mdcb808@gmail.com
2015-06-26 07:42:35ncoghlansetmessages: + msg245838
versions: - Python 3.5
2015-06-25 21:05:30ArcRileysetnosy: + ArcRiley
2015-06-25 15:42:34yselivanovsettype: enhancement
2015-06-25 15:42:28yselivanovcreate